Unable to run kodi on C1 with the latest ubuntu

Post Reply
casufi
Posts: 19
Joined: Mon May 25, 2015 9:54 pm
languages_spoken: english
Has thanked: 0
Been thanked: 0
Contact:

Unable to run kodi on C1 with the latest ubuntu

Unread post by casufi » Mon Sep 23, 2019 12:22 am

I've installed ubuntu on Odroid C1 board (rev. 0.3) (https://odroid.in/ubuntu_18.04lts/C0_C1 ... 904.img.xz) got from https://wiki.odroid.com/odroid-c1/os_images/ubuntu/v3.1
Than I updated system using apt-get update && apt-get dist-upgrade && reboot
Now I am trying to run kodi with no luck
➜ ~ kodi
/usr/lib/arm-linux-gnueabihf/kodi/kodi.bin: error while loading shared libraries: libyajl.so.2: cannot open shared object file: No such file or directory

Nuems
Posts: 126
Joined: Thu Sep 19, 2013 3:50 am
languages_spoken: english, german
ODROIDs: xu, c1
Has thanked: 0
Been thanked: 1 time
Contact:

Re: Unable to run kodi on C1 with the latest ubuntu

Unread post by Nuems » Mon Sep 23, 2019 3:29 am

Apparently, libyajl.so.2 is missing. So you need to find out which package provides it:

Code: Select all

odroid@Odroid-C1:~$ apt search libyajl          
Sorting... Done
Full Text Search... Done
libyajl-dev/bionic 2.1.0-2build1 armhf
  Yet Another JSON Library - development files

libyajl-doc/bionic 2.1.0-2build1 all
  Yet Another JSON Library - library documentation

libyajl2/bionic,now 2.1.0-2build1 armhf [installed,automatic]
  Yet Another JSON Library

libyajl2-dbg/bionic 2.1.0-2build1 armhf
  Yet Another JSON Library - debugging symbols

odroid@Odroid-C1:~$
The next step is to pick and install the right package. That should be "libyajl2" (which is installed on my system, don't know what happened on yours). So:

Code: Select all

odroid@Odroid-C1:~$ sudo apt install libyajl2
That should do the trick.

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 1 guest